Subject: bug#3494: 23.0.94; line-move-visual: temporary goal column confused by hscrolling

From: Lennart Borgman <[email-masked]>
Date: Sun, 12 Jul 2009 18:38:36 +0200

On Sun, Jul 12, 2009 at 6:04 PM, Chong Yidong<[email-masked]> wrote:
>>  1. xrdb -remove; xterm -geometry 80x25
>>  2. emacs -Q -nw -f toggle-truncate-lines -f column-number-mode
>>  3. C-u 85 a RET
>>     C-u 100 b RET
>>  4. Press C-p two times to move the the beginning of "a" line.
>>  5. Press C-e to get to the end of "a" line. (See screenshot 1.)
>>  6. Press C-x C-n and "y" to set goal column.
>>  7. Press C-n. The screen is scrolled horizontally and the cursor at the
>>     column 94. (See screenshot 2.)
>
> I see the problem.  It's not trivial to fix; maybe it's preferable for
> `line-move' to call `line-move-1' instead of `line-move-visual' when the
> window is hscrolled.

I don't understand what is wrong here, but is this perhaps related to
the problem with posn-at-point that I reported for example here:

http://www.opensubscriber.com/message/[email-masked]/10283709.html